<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: scripts/3_Game/Systems/Inventory/Cargo.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.19.155390</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d9/d79/_cargo_8c_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">Cargo.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../d9/d79/_cargo_8c.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span> </div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno"><a class="line" href="../../d6/d12/class_cargo_base.html">    6</a></span><span class="keyword">class </span><a class="code hl_class" href="../../d6/d12/class_cargo_base.html">CargoBase</a> : <a class="code hl_class" href="../../d5/d78/group___enforce.html#dd/d17/class_managed">Managed</a></div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span>{</div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno"><a class="line" href="../../d6/d12/class_cargo_base.html#a78894a3450410be352df180341725e3f">   12</a></span>    proto native <a class="code hl_class" href="../../df/df9/class_entity_a_i.html">EntityAI</a> <a class="code hl_function" href="../../d6/d12/class_cargo_base.html#a78894a3450410be352df180341725e3f">GetCargoOwner</a> ();</div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno">   13</span> </div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno"><a class="line" href="../../d6/d12/class_cargo_base.html#a7af52b25bfd70401b4750c1d09ebcbdc">   18</a></span>    proto native <span class="keywordtype">int</span> <a class="code hl_function" href="../../d6/d12/class_cargo_base.html#a7af52b25bfd70401b4750c1d09ebcbdc">GetOwnerCargoIndex</a> ();</div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span> </div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno"><a class="line" href="../../d6/d12/class_cargo_base.html#a7852f4a7181d31b6749e18fe8c0e6760">   23</a></span>    proto native <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d6/d12/class_cargo_base.html#a7852f4a7181d31b6749e18fe8c0e6760">IsProxyCargo</a> ();</div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span>    </div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno"><a class="line" href="../../d6/d12/class_cargo_base.html#a529398889f12e2487b430e4e7cc18879">   28</a></span>    proto native <span class="keywordtype">int</span> <a class="code hl_function" href="../../d6/d12/class_cargo_base.html#a529398889f12e2487b430e4e7cc18879">GetItemCount</a> ();</div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno"><a class="line" href="../../d6/d12/class_cargo_base.html#a9b0908ac531b24161b5d49f3cac610e2">   32</a></span>    proto native <a class="code hl_class" href="../../df/df9/class_entity_a_i.html">EntityAI</a> <a class="code hl_function" href="../../d6/d12/class_cargo_base.html#a9b0908ac531b24161b5d49f3cac610e2">GetItem</a> (<span class="keywordtype">int</span> index);</div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno">   33</span> </div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno"><a class="line" href="../../d6/d12/class_cargo_base.html#a3376ce92ac04d75a1a3b665416ebce1f">   37</a></span>    proto native <span class="keywordtype">int</span> <a class="code hl_function" href="../../d6/d12/class_cargo_base.html#a3376ce92ac04d75a1a3b665416ebce1f">GetWidth</a> ();</div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno"><a class="line" href="../../d6/d12/class_cargo_base.html#a3b060dead4d2ad625521643bb68f9ff6">   41</a></span>    proto native <span class="keywordtype">int</span> <a class="code hl_function" href="../../d6/d12/class_cargo_base.html#a3b060dead4d2ad625521643bb68f9ff6">GetHeight</a> ();</div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno"><a class="line" href="../../d6/d12/class_cargo_base.html#ac33d6e6eb5f244609e0e4b562b012b0e">   46</a></span>    proto <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d6/d12/class_cargo_base.html#ac33d6e6eb5f244609e0e4b562b012b0e">GetItemRowCol</a> (<span class="keywordtype">int</span> index, out <span class="keywordtype">int</span> row, out <span class="keywordtype">int</span> col);</div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno"><a class="line" href="../../d6/d12/class_cargo_base.html#a4a81071da5fc903e14548cb042788734">   51</a></span>    proto <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d6/d12/class_cargo_base.html#a4a81071da5fc903e14548cb042788734">GetItemSize</a> (<span class="keywordtype">int</span> index, out <span class="keywordtype">int</span> w, out <span class="keywordtype">int</span> h);</div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno">   52</span> </div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno"><a class="line" href="../../d6/d12/class_cargo_base.html#a503f43617aeff6e1880e7d9ab7db11c0">   56</a></span>    proto native <span class="keywordtype">int</span> <a class="code hl_function" href="../../d6/d12/class_cargo_base.html#a503f43617aeff6e1880e7d9ab7db11c0">FindEntityInCargo</a> (notnull <a class="code hl_class" href="../../df/df9/class_entity_a_i.html">EntityAI</a> e);</div>
<div class="line"><a id="l00057" name="l00057"></a><span class="lineno">   57</span> </div>
<div class="line"><a id="l00058" name="l00058"></a><span class="lineno"><a class="line" href="../../d6/d12/class_cargo_base.html#ac7a043e051ffad3f4e9fbea6b9cf8543">   58</a></span>    <span class="keyword">private</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d6/d12/class_cargo_base.html#ac7a043e051ffad3f4e9fbea6b9cf8543">CargoBase</a> ();</div>
<div class="line"><a id="l00059" name="l00059"></a><span class="lineno"><a class="line" href="../../d6/d12/class_cargo_base.html#a0df32d465c00aef5fa53d451c5476f62">   59</a></span>    <span class="keyword">private</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d6/d12/class_cargo_base.html#a0df32d465c00aef5fa53d451c5476f62">~CargoBase</a> ();</div>
<div class="line"><a id="l00060" name="l00060"></a><span class="lineno">   60</span>    </div>
<div class="line"><a id="l00065" name="l00065"></a><span class="lineno"><a class="line" href="../../d6/d12/class_cargo_base.html#a486dc42c52cf7c451c9c602f2a0ece64">   65</a></span>    <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d6/d12/class_cargo_base.html#a486dc42c52cf7c451c9c602f2a0ece64">CanReceiveItemIntoCargo</a> (<a class="code hl_class" href="../../df/df9/class_entity_a_i.html">EntityAI</a> item) { <span class="keywordflow">return</span> <span class="keyword">true</span>; }</div>
<div class="line"><a id="l00066" name="l00066"></a><span class="lineno">   66</span> </div>
<div class="line"><a id="l00071" name="l00071"></a><span class="lineno"><a class="line" href="../../d6/d12/class_cargo_base.html#acc8846dff3bcbf336e4a0515d63d1518">   71</a></span>    <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d6/d12/class_cargo_base.html#acc8846dff3bcbf336e4a0515d63d1518">CanSwapItemInCargo</a> (<a class="code hl_class" href="../../df/df9/class_entity_a_i.html">EntityAI</a> child_entity, <a class="code hl_class" href="../../df/df9/class_entity_a_i.html">EntityAI</a> new_entity) { <span class="keywordflow">return</span> <span class="keyword">true</span>; }</div>
<div class="line"><a id="l00072" name="l00072"></a><span class="lineno">   72</span>    </div>
<div class="line"><a id="l00073" name="l00073"></a><span class="lineno"><a class="line" href="../../d6/d12/class_cargo_base.html#a738c558cc0f499ddde5388bf0840582f">   73</a></span>    proto native <span class="keywordtype">int</span> <a class="code hl_function" href="../../d6/d12/class_cargo_base.html#a738c558cc0f499ddde5388bf0840582f">GetUserReservedLocationCount</a> ();</div>
<div class="line"><a id="l00084" name="l00084"></a><span class="lineno"><a class="line" href="../../d6/d12/class_cargo_base.html#a7a00c06406fd013b493ca76e733dd7ae">   84</a></span>    proto <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d6/d12/class_cargo_base.html#a7a00c06406fd013b493ca76e733dd7ae">GetUserReservedLocation</a> (<span class="keywordtype">int</span> index, out <a class="code hl_class" href="../../df/df9/class_entity_a_i.html">EntityAI</a> eai, out <span class="keywordtype">int</span> row, out <span class="keywordtype">int</span> col, out <span class="keywordtype">int</span> w, out <span class="keywordtype">int</span> h, out <span class="keywordtype">int</span> flp);</div>
<div class="line"><a id="l00085" name="l00085"></a><span class="lineno"><a class="line" href="../../d6/d12/class_cargo_base.html#a80a78a1ffca855ff8b06ad64ac53850a">   85</a></span>    proto native <span class="keywordtype">void</span> <a class="code hl_function" href="../../d6/d12/class_cargo_base.html#a80a78a1ffca855ff8b06ad64ac53850a">SetUserReservedLocation</a> (notnull <a class="code hl_class" href="../../df/df9/class_entity_a_i.html">EntityAI</a> eai);</div>
<div class="line"><a id="l00086" name="l00086"></a><span class="lineno"><a class="line" href="../../d6/d12/class_cargo_base.html#a056ab396a55d1a2c8cb4e3c3ad0a1e21">   86</a></span>    proto native <span class="keywordtype">void</span> <a class="code hl_function" href="../../d6/d12/class_cargo_base.html#a056ab396a55d1a2c8cb4e3c3ad0a1e21">ClearUserReservedLocation</a> (notnull <a class="code hl_class" href="../../df/df9/class_entity_a_i.html">EntityAI</a> eai);</div>
<div class="line"><a id="l00087" name="l00087"></a><span class="lineno">   87</span>};</div>
<div class="line"><a id="l00088" name="l00088"></a><span class="lineno">   88</span> </div>
<div class="line"><a id="l00089" name="l00089"></a><span class="lineno">   89</span> </div>
<div class="line"><a id="l00090" name="l00090"></a><span class="lineno">   90</span><span class="preprocessor">#ifdef PLATFORM_CONSOLE</span></div>
<div class="line"><a id="l00091" name="l00091"></a><span class="lineno">   91</span>    <span class="keyword">class </span>CargoList : <a class="code hl_class" href="../../d6/d12/class_cargo_base.html">CargoBase</a></div>
<div class="line"><a id="l00092" name="l00092"></a><span class="lineno">   92</span>    {</div>
<div class="line"><a id="l00096" name="l00096"></a><span class="lineno">   96</span>        proto native <span class="keywordtype">int</span> GetMaxWeight ();</div>
<div class="line"><a id="l00097" name="l00097"></a><span class="lineno">   97</span>    </div>
<div class="line"><a id="l00102" name="l00102"></a><span class="lineno">  102</span>        proto native <span class="keywordtype">int</span> GetTotalWeight (<a class="code hl_class" href="../../df/df9/class_entity_a_i.html">EntityAI</a> item);</div>
<div class="line"><a id="l00103" name="l00103"></a><span class="lineno">  103</span> </div>
<div class="line"><a id="l00107" name="l00107"></a><span class="lineno">  107</span>        proto native <span class="keywordtype">bool</span> CanFitItemIntoCargo (<a class="code hl_class" href="../../df/df9/class_entity_a_i.html">EntityAI</a> cargo);</div>
<div class="line"><a id="l00108" name="l00108"></a><span class="lineno">  108</span>    </div>
<div class="line"><a id="l00112" name="l00112"></a><span class="lineno">  112</span>        <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d6/d12/class_cargo_base.html#a486dc42c52cf7c451c9c602f2a0ece64">CanReceiveItemIntoCargo</a> (<a class="code hl_class" href="../../df/df9/class_entity_a_i.html">EntityAI</a> item)</div>
<div class="line"><a id="l00113" name="l00113"></a><span class="lineno">  113</span>        {</div>
<div class="line"><a id="l00114" name="l00114"></a><span class="lineno">  114</span>            <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00115" name="l00115"></a><span class="lineno">  115</span>            <span class="comment">//return CanFitItemIntoCargo(item);</span></div>
<div class="line"><a id="l00116" name="l00116"></a><span class="lineno">  116</span>        }</div>
<div class="line"><a id="l00117" name="l00117"></a><span class="lineno">  117</span>    </div>
<div class="line"><a id="l00121" name="l00121"></a><span class="lineno">  121</span>        proto native <span class="keywordtype">bool</span> CanFitSwappedItemInCargo (<a class="code hl_class" href="../../df/df9/class_entity_a_i.html">EntityAI</a> child_entity, <a class="code hl_class" href="../../df/df9/class_entity_a_i.html">EntityAI</a> new_entity);</div>
<div class="line"><a id="l00122" name="l00122"></a><span class="lineno">  122</span>    </div>
<div class="line"><a id="l00123" name="l00123"></a><span class="lineno">  123</span>        <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d6/d12/class_cargo_base.html#acc8846dff3bcbf336e4a0515d63d1518">CanSwapItemInCargo</a> (<a class="code hl_class" href="../../df/df9/class_entity_a_i.html">EntityAI</a> child_entity, <a class="code hl_class" href="../../df/df9/class_entity_a_i.html">EntityAI</a> new_entity)</div>
<div class="line"><a id="l00124" name="l00124"></a><span class="lineno">  124</span>        {</div>
<div class="line"><a id="l00125" name="l00125"></a><span class="lineno">  125</span>            <span class="keywordflow">return</span> CanFitSwappedItemInCargo(child_entity, new_entity);</div>
<div class="line"><a id="l00126" name="l00126"></a><span class="lineno">  126</span>        }</div>
<div class="line"><a id="l00127" name="l00127"></a><span class="lineno">  127</span>    };</div>
<div class="line"><a id="l00128" name="l00128"></a><span class="lineno">  128</span><span class="preprocessor">#else</span></div>
<div class="line"><a id="l00129" name="l00129"></a><span class="lineno">  129</span><span class="preprocessor">#ifdef SERVER_FOR_CONSOLE</span></div>
<div class="line"><a id="l00130" name="l00130"></a><span class="lineno">  130</span>    <span class="keyword">class </span>CargoList : <a class="code hl_class" href="../../d6/d12/class_cargo_base.html">CargoBase</a></div>
<div class="line"><a id="l00131" name="l00131"></a><span class="lineno">  131</span>    {</div>
<div class="line"><a id="l00135" name="l00135"></a><span class="lineno">  135</span>        proto native <span class="keywordtype">int</span> GetMaxWeight ();</div>
<div class="line"><a id="l00136" name="l00136"></a><span class="lineno">  136</span>    </div>
<div class="line"><a id="l00141" name="l00141"></a><span class="lineno">  141</span>        proto native <span class="keywordtype">int</span> GetTotalWeight (<a class="code hl_class" href="../../df/df9/class_entity_a_i.html">EntityAI</a> item);</div>
<div class="line"><a id="l00142" name="l00142"></a><span class="lineno">  142</span> </div>
<div class="line"><a id="l00146" name="l00146"></a><span class="lineno">  146</span>        proto native <span class="keywordtype">bool</span> CanFitItemIntoCargo (<a class="code hl_class" href="../../df/df9/class_entity_a_i.html">EntityAI</a> cargo);</div>
<div class="line"><a id="l00147" name="l00147"></a><span class="lineno">  147</span>    </div>
<div class="line"><a id="l00151" name="l00151"></a><span class="lineno">  151</span>        <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d6/d12/class_cargo_base.html#a486dc42c52cf7c451c9c602f2a0ece64">CanReceiveItemIntoCargo</a> (<a class="code hl_class" href="../../df/df9/class_entity_a_i.html">EntityAI</a> item)</div>
<div class="line"><a id="l00152" name="l00152"></a><span class="lineno">  152</span>        {</div>
<div class="line"><a id="l00153" name="l00153"></a><span class="lineno">  153</span>            <span class="keywordflow">return</span> <span class="keyword">true</span>; </div>
<div class="line"><a id="l00154" name="l00154"></a><span class="lineno">  154</span>            <span class="comment">//return CanFitItemIntoCargo(item);</span></div>
<div class="line"><a id="l00155" name="l00155"></a><span class="lineno">  155</span>        }</div>
<div class="line"><a id="l00156" name="l00156"></a><span class="lineno">  156</span>    </div>
<div class="line"><a id="l00160" name="l00160"></a><span class="lineno">  160</span>        proto native <span class="keywordtype">bool</span> CanFitSwappedItemInCargo (<a class="code hl_class" href="../../df/df9/class_entity_a_i.html">EntityAI</a> child_entity, <a class="code hl_class" href="../../df/df9/class_entity_a_i.html">EntityAI</a> new_entity);</div>
<div class="line"><a id="l00161" name="l00161"></a><span class="lineno">  161</span>    </div>
<div class="line"><a id="l00162" name="l00162"></a><span class="lineno">  162</span>        <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d6/d12/class_cargo_base.html#acc8846dff3bcbf336e4a0515d63d1518">CanSwapItemInCargo</a> (<a class="code hl_class" href="../../df/df9/class_entity_a_i.html">EntityAI</a> child_entity, <a class="code hl_class" href="../../df/df9/class_entity_a_i.html">EntityAI</a> new_entity)</div>
<div class="line"><a id="l00163" name="l00163"></a><span class="lineno">  163</span>        {</div>
<div class="line"><a id="l00164" name="l00164"></a><span class="lineno">  164</span>            <span class="keywordflow">return</span> CanFitSwappedItemInCargo(child_entity, new_entity);</div>
<div class="line"><a id="l00165" name="l00165"></a><span class="lineno">  165</span>        }</div>
<div class="line"><a id="l00166" name="l00166"></a><span class="lineno">  166</span>    };</div>
<div class="line"><a id="l00167" name="l00167"></a><span class="lineno">  167</span><span class="preprocessor">#else</span></div>
<div class="line"><a id="l00168" name="l00168"></a><span class="lineno"><a class="line" href="../../d2/d53/class_cargo_grid.html">  168</a></span>    <span class="keyword">class </span><a class="code hl_class" href="../../d2/d53/class_cargo_grid.html">CargoGrid</a> : <a class="code hl_class" href="../../d6/d12/class_cargo_base.html">CargoBase</a></div>
<div class="line"><a id="l00169" name="l00169"></a><span class="lineno">  169</span>    {</div>
<div class="line"><a id="l00173" name="l00173"></a><span class="lineno"><a class="line" href="../../d2/d53/class_cargo_grid.html#a693d5567b6b67a25352ef0a0033ff478">  173</a></span>        proto native <a class="code hl_class" href="../../df/df9/class_entity_a_i.html">EntityAI</a> <a class="code hl_function" href="../../d2/d53/class_cargo_grid.html#a693d5567b6b67a25352ef0a0033ff478">FindEntityInCargoOn</a> (<span class="keywordtype">int</span> row, <span class="keywordtype">int</span> col);</div>
<div class="line"><a id="l00174" name="l00174"></a><span class="lineno">  174</span>    };</div>
<div class="line"><a id="l00175" name="l00175"></a><span class="lineno">  175</span><span class="preprocessor">#endif</span></div>
<div class="line"><a id="l00176" name="l00176"></a><span class="lineno">  176</span><span class="preprocessor">#endif</span></div>
<div class="ttc" id="aclass_cargo_base_html"><div class="ttname"><a href="../../d6/d12/class_cargo_base.html">CargoBase</a></div><div class="ttdoc">represents base for cargo storage for entities</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/d79/_cargo_8c_source.html#l00006">Cargo.c:7</a></div></div>
<div class="ttc" id="aclass_cargo_base_html_a056ab396a55d1a2c8cb4e3c3ad0a1e21"><div class="ttname"><a href="../../d6/d12/class_cargo_base.html#a056ab396a55d1a2c8cb4e3c3ad0a1e21">CargoBase::ClearUserReservedLocation</a></div><div class="ttdeci">proto native void ClearUserReservedLocation(notnull EntityAI eai)</div></div>
<div class="ttc" id="aclass_cargo_base_html_a0df32d465c00aef5fa53d451c5476f62"><div class="ttname"><a href="../../d6/d12/class_cargo_base.html#a0df32d465c00aef5fa53d451c5476f62">CargoBase::~CargoBase</a></div><div class="ttdeci">private void ~CargoBase()</div></div>
<div class="ttc" id="aclass_cargo_base_html_a3376ce92ac04d75a1a3b665416ebce1f"><div class="ttname"><a href="../../d6/d12/class_cargo_base.html#a3376ce92ac04d75a1a3b665416ebce1f">CargoBase::GetWidth</a></div><div class="ttdeci">proto native int GetWidth()</div></div>
<div class="ttc" id="aclass_cargo_base_html_a3b060dead4d2ad625521643bb68f9ff6"><div class="ttname"><a href="../../d6/d12/class_cargo_base.html#a3b060dead4d2ad625521643bb68f9ff6">CargoBase::GetHeight</a></div><div class="ttdeci">proto native int GetHeight()</div></div>
<div class="ttc" id="aclass_cargo_base_html_a486dc42c52cf7c451c9c602f2a0ece64"><div class="ttname"><a href="../../d6/d12/class_cargo_base.html#a486dc42c52cf7c451c9c602f2a0ece64">CargoBase::CanReceiveItemIntoCargo</a></div><div class="ttdeci">bool CanReceiveItemIntoCargo(EntityAI item)</div><div class="ttdoc">condition EntityAI::CanReceiveItemIntoCargo for Cargo.</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/d79/_cargo_8c_source.html#l00065">Cargo.c:65</a></div></div>
<div class="ttc" id="aclass_cargo_base_html_a4a81071da5fc903e14548cb042788734"><div class="ttname"><a href="../../d6/d12/class_cargo_base.html#a4a81071da5fc903e14548cb042788734">CargoBase::GetItemSize</a></div><div class="ttdeci">proto bool GetItemSize(int index, out int w, out int h)</div></div>
<div class="ttc" id="aclass_cargo_base_html_a503f43617aeff6e1880e7d9ab7db11c0"><div class="ttname"><a href="../../d6/d12/class_cargo_base.html#a503f43617aeff6e1880e7d9ab7db11c0">CargoBase::FindEntityInCargo</a></div><div class="ttdeci">proto native int FindEntityInCargo(notnull EntityAI e)</div></div>
<div class="ttc" id="aclass_cargo_base_html_a529398889f12e2487b430e4e7cc18879"><div class="ttname"><a href="../../d6/d12/class_cargo_base.html#a529398889f12e2487b430e4e7cc18879">CargoBase::GetItemCount</a></div><div class="ttdeci">proto native int GetItemCount()</div></div>
<div class="ttc" id="aclass_cargo_base_html_a738c558cc0f499ddde5388bf0840582f"><div class="ttname"><a href="../../d6/d12/class_cargo_base.html#a738c558cc0f499ddde5388bf0840582f">CargoBase::GetUserReservedLocationCount</a></div><div class="ttdeci">proto native int GetUserReservedLocationCount()</div></div>
<div class="ttc" id="aclass_cargo_base_html_a7852f4a7181d31b6749e18fe8c0e6760"><div class="ttname"><a href="../../d6/d12/class_cargo_base.html#a7852f4a7181d31b6749e18fe8c0e6760">CargoBase::IsProxyCargo</a></div><div class="ttdeci">proto native bool IsProxyCargo()</div></div>
<div class="ttc" id="aclass_cargo_base_html_a78894a3450410be352df180341725e3f"><div class="ttname"><a href="../../d6/d12/class_cargo_base.html#a78894a3450410be352df180341725e3f">CargoBase::GetCargoOwner</a></div><div class="ttdeci">proto native EntityAI GetCargoOwner()</div><div class="ttdoc">get the entity that owns the cargo</div></div>
<div class="ttc" id="aclass_cargo_base_html_a7a00c06406fd013b493ca76e733dd7ae"><div class="ttname"><a href="../../d6/d12/class_cargo_base.html#a7a00c06406fd013b493ca76e733dd7ae">CargoBase::GetUserReservedLocation</a></div><div class="ttdeci">proto bool GetUserReservedLocation(int index, out EntityAI eai, out int row, out int col, out int w, out int h, out int flp)</div></div>
<div class="ttc" id="aclass_cargo_base_html_a7af52b25bfd70401b4750c1d09ebcbdc"><div class="ttname"><a href="../../d6/d12/class_cargo_base.html#a7af52b25bfd70401b4750c1d09ebcbdc">CargoBase::GetOwnerCargoIndex</a></div><div class="ttdeci">proto native int GetOwnerCargoIndex()</div></div>
<div class="ttc" id="aclass_cargo_base_html_a80a78a1ffca855ff8b06ad64ac53850a"><div class="ttname"><a href="../../d6/d12/class_cargo_base.html#a80a78a1ffca855ff8b06ad64ac53850a">CargoBase::SetUserReservedLocation</a></div><div class="ttdeci">proto native void SetUserReservedLocation(notnull EntityAI eai)</div></div>
<div class="ttc" id="aclass_cargo_base_html_a9b0908ac531b24161b5d49f3cac610e2"><div class="ttname"><a href="../../d6/d12/class_cargo_base.html#a9b0908ac531b24161b5d49f3cac610e2">CargoBase::GetItem</a></div><div class="ttdeci">proto native EntityAI GetItem(int index)</div></div>
<div class="ttc" id="aclass_cargo_base_html_ac33d6e6eb5f244609e0e4b562b012b0e"><div class="ttname"><a href="../../d6/d12/class_cargo_base.html#ac33d6e6eb5f244609e0e4b562b012b0e">CargoBase::GetItemRowCol</a></div><div class="ttdeci">proto bool GetItemRowCol(int index, out int row, out int col)</div></div>
<div class="ttc" id="aclass_cargo_base_html_ac7a043e051ffad3f4e9fbea6b9cf8543"><div class="ttname"><a href="../../d6/d12/class_cargo_base.html#ac7a043e051ffad3f4e9fbea6b9cf8543">CargoBase::CargoBase</a></div><div class="ttdeci">private void CargoBase()</div></div>
<div class="ttc" id="aclass_cargo_base_html_acc8846dff3bcbf336e4a0515d63d1518"><div class="ttname"><a href="../../d6/d12/class_cargo_base.html#acc8846dff3bcbf336e4a0515d63d1518">CargoBase::CanSwapItemInCargo</a></div><div class="ttdeci">bool CanSwapItemInCargo(EntityAI child_entity, EntityAI new_entity)</div><div class="ttdoc">condition EntityAI::CanSwapItemInCargo for Cargo.</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/d79/_cargo_8c_source.html#l00071">Cargo.c:71</a></div></div>
<div class="ttc" id="aclass_cargo_grid_html"><div class="ttname"><a href="../../d2/d53/class_cargo_grid.html">CargoGrid</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d9/d79/_cargo_8c_source.html#l00168">Cargo.c:169</a></div></div>
<div class="ttc" id="aclass_cargo_grid_html_a693d5567b6b67a25352ef0a0033ff478"><div class="ttname"><a href="../../d2/d53/class_cargo_grid.html#a693d5567b6b67a25352ef0a0033ff478">CargoGrid::FindEntityInCargoOn</a></div><div class="ttdeci">proto native EntityAI FindEntityInCargoOn(int row, int col)</div></div>
<div class="ttc" id="aclass_entity_a_i_html"><div class="ttname"><a href="../../df/df9/class_entity_a_i.html">EntityAI</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d45/3___game_2_entities_2_building_8c_source.html#l00001">Building.c:2</a></div></div>
<div class="ttc" id="agroup___enforce_html_dd/d17/class_managed"><div class="ttname"><a href="../../d5/d78/group___enforce.html#dd/d17/class_managed">Managed</a></div><div class="ttdoc">TODO doc.</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d15/_en_script_8c_source.html#l00117">EnScript.c:118</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_dc42280174b209627d8212c9e40d7e50.html">scripts</a></li><li class="navelem"><a class="el" href="../../dir_5eccb71dd63ea3c42a1369b85c71c9fd.html">3_Game</a></li><li class="navelem"><a class="el" href="../../dir_91065d8ef1d9d84badd69667faa65040.html">Systems</a></li><li class="navelem"><a class="el" href="../../dir_236db930e105245b471553e35208b746.html">Inventory</a></li><li class="navelem"><a class="el" href="../../d9/d79/_cargo_8c.html">Cargo.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
